Bug 1694894 (rr_aeskeyfind) - Review Request: aeskeyfind - Locate 128-bit and 256-bit AES keys in a captured memory image
Summary: Review Request: aeskeyfind - Locate 128-bit and 256-bit AES keys in a capture...
Keywords:
Status: CLOSED ERRATA
Alias: rr_aeskeyfind
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2019-04-02 01:07 UTC by Michal Ambroz
Modified: 2020-03-16 20:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 20:53:30 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Michal Ambroz 2019-04-02 01:07:06 UTC
Spec URL: http://rebus.fedorapeople.org//aeskeyfind.spec
SRPM URL: http://rebus.fedorapeople.org//aeskeyfind-1.0-5.fc29.src.rpm

Description:
This program illustrates automatic techniques for locating 128-bit and
256-bit AES keys in a captured memory image.

The program uses various algorithms and also performs a simple entropy
test to filter out blocks that are not keys. It counts the number of
repeated bytes and skips blocks that have too many repeats.

This method works even if several bits of the key schedule have been
corrupted due to memory decay.

This package is useful to several activities, as forensics investigations.

Comment 1 Michal Ambroz 2019-04-02 01:07:08 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=33879121

Comment 2 Robert-André Mauchin 🐧 2019-04-02 01:30:38 UTC
 - Group: is not used in Fedora

 - also use install -pm 0644 for the man page

 - Please document what the patch is for:

Patch1:         %{name}-%{version}-patch-001

 - export CFLAGS="%{optflags}"

Use %set_build_flags instead




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Unknown or generated",
     "*No copyright* GPL (v2)". 7 files have unknown license. Detailed
     output of licensecheck in
     /home/bob/packaging/review/aeskeyfind/review-
     aeskeyfind/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     aeskeyfind
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: aeskeyfind-1.0-5.fc31.x86_64.rpm
          aeskeyfind-debuginfo-1.0-5.fc31.x86_64.rpm
          aeskeyfind-debugsource-1.0-5.fc31.x86_64.rpm
          aeskeyfind-1.0-5.fc31.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Robert-André Mauchin 🐧 2019-06-06 19:44:18 UTC
Any news here?

Comment 4 Michal Ambroz 2019-10-20 12:28:10 UTC
Hello

Spec URL: http://rebus.fedorapeople.org//aeskeyfind.spec
SRPM URL: http://rebus.fedorapeople.org//aeskeyfind-1.0-5.fc29.src.rpm

I have implemented the signature checking.
Instead of single patch from forensics.cert.org I have used the original Debian patches and manpage.

Comment 5 Michal Ambroz 2019-10-20 12:33:03 UTC
Sorry wrong SRPM

Spec URL: http://rebus.fedorapeople.org//aeskeyfind.spec
SRPM URL: http://rebus.fedorapeople.org//aeskeyfind-1.0-6.fc30.src.rpm

Comment 6 Robert-André Mauchin 🐧 2019-12-07 22:17:01 UTC
We have guidelines regarding gpg verification:  https://docs.fedoraproject.org/en-US/packaging-guidelines/#_verifying_signatures

BuildRequires: gnupg2
…
%prep
%{gpgverify} --keyring='%{SOURCE3}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

Please use this.


Package approved. Please fix the aforementioned issue before import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Unknown or generated". 7
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/aeskeyfind/review-
     aeskeyfind/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: aeskeyfind-1.0-6.fc32.x86_64.rpm
          aeskeyfind-debuginfo-1.0-6.fc32.x86_64.rpm
          aeskeyfind-debugsource-1.0-6.fc32.x86_64.rpm
          aeskeyfind-1.0-6.fc32.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 7 dan.cermak 2020-02-06 20:25:52 UTC
The package got approved but apparently never imported into dist-git. Was that forgotten?

Comment 8 Michal Ambroz 2020-02-10 15:25:47 UTC
Hello,
yes my fault ... I failed to process this and forgot about it with the Xmass frenzy. 
Here is the updated package. 

Unfortunately the approval is 60+ days old. Please Robert, may I ask you for re-approval?

Spec URL: http://rebus.fedorapeople.org/aeskeyfind.spec
SRPM URL: http://rebus.fedorapeople.org/aeskeyfind-1.0-7.fc31.src.rpm

Best regards
Michal Ambroz

Comment 9 Michal Ambroz 2020-02-10 15:28:24 UTC
Unfortunately the approval is 60+ days old and pagure won't let me to create the package. 
Please Robert, may I ask you for re-approval?
Thank you
Michal Ambroz

Comment 10 Robert-André Mauchin 🐧 2020-02-13 21:55:51 UTC
Package reapproved.

Comment 11 Michal Ambroz 2020-02-19 00:35:57 UTC
Thank you Robert-Andre .

Requesting the package repo - https://pagure.io/releng/fedora-scm-requests/issue/22261

Comment 12 Gwyn Ciesla 2020-02-19 01:17:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/aeskeyfind

Comment 13 Fedora Update System 2020-02-24 00:14:33 UTC
FEDORA-2020-f5bdcff86b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f5bdcff86b

Comment 14 Fedora Update System 2020-02-24 00:14:34 UTC
FEDORA-2020-2c5eb82fae has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2c5eb82fae

Comment 15 Fedora Update System 2020-02-25 15:04:52 UTC
aeskeyfind-1.0-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2c5eb82fae

Comment 16 Fedora Update System 2020-02-26 17:59:18 UTC
aeskeyfind-1.0-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f5bdcff86b

Comment 17 Fedora Update System 2020-02-28 17:54:01 UTC
FEDORA-2020-71f1c089e3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-71f1c089e3

Comment 18 Fedora Update System 2020-02-28 17:54:02 UTC
FEDORA-EPEL-2020-dcfce7a05e has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-dcfce7a05e

Comment 19 Fedora Update System 2020-02-28 17:54:03 UTC
FEDORA-EPEL-2020-5f0edef101 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5f0edef101

Comment 20 Fedora Update System 2020-02-29 01:22:40 UTC
aeskeyfind-1.0-7.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-71f1c089e3

Comment 21 Fedora Update System 2020-02-29 03:50:43 UTC
aeskeyfind-1.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-dcfce7a05e

Comment 22 Fedora Update System 2020-02-29 04:04:20 UTC
aeskeyfind-1.0-7.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5f0edef101

Comment 23 Fedora Update System 2020-03-03 20:53:30 UTC
aeskeyfind-1.0-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-03-04 21:30:57 UTC
aeskeyfind-1.0-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-03-15 13:07:00 UTC
aeskeyfind-1.0-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2020-03-15 13:45:15 UTC
aeskeyfind-1.0-7.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2020-03-16 20:17:29 UTC
aeskeyfind-1.0-7.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2020-03-16 20:30:04 UTC
aeskeyfind-1.0-7.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.